Spaces method and path for this operation:
get /s/{space_id}/api/workflows/workflow/{workflowId}/executions/steps
Refer to Spaces for more information.
Retrieve a paginated list of step-level execution records for a specific workflow. Optionally filter by step ID and include input or output data.
[Required authorization] Route required privileges: workflowsManagement:readExecution.
GET
/api/workflows/workflow/{workflowId}/executions/steps
curl
curl \
-X GET "${KIBANA_URL}/api/workflows/workflow/{workflowId}/executions/steps?includeInput=true" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/workflows/workflow/{workflowId}/executions/steps?includeInput=true
Response examples (200)
Example response returning step execution records for a workflow
{
"total": 1,
"results": [
{
"id": "step-exec-001",
"input": {
"message": "hello world"
},
"status": "completed",
"stepId": "hello_world_step",
"spaceId": "default",
"stepType": "console",
"isTestRun": false,
"startedAt": "2025-11-20T12:00:01.000Z",
"finishedAt": "2025-11-20T12:00:02.000Z",
"scopeStack": [],
"workflowId": "workflow-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workflowRunId": "exec-001",
"executionTimeMs": 1000,
"topologicalIndex": 0,
"stepExecutionIndex": 0,
"globalExecutionIndex": 0
}
]
}